Subject: Re: Bug#286: keyboard layout isn't applied to the session (when starting)

From: "Maciej S. Szmigiero" <[email-masked]>
Date: Tue, 06 Aug 2013 00:23:26 +0200

Hello Mike,

W dniu 05.08.2013 14:06, Mike Gabriel pisze:
> Hi Maciej,
> 
> I will clone issue #285, so we have two issues: one for resuming (#285), one for starting new sessions.

OK, I've changed the email subject to reflect this (see also below for inline comment).

> On Mo 05 Aug 2013 13:13:50 CEST "Maciej S. Szmigiero" wrote:
> 
>>> x2gostartagent: here I do not see an issue. Not that in X2Go Server there are three ways to set up your keyboard:
>>>
>>>   1) no setup at all (setxkb=false in sessions file)
>>>   2) setup a specific setup (e.g. type=pc105/us, layout=us)
>>>   3) automatic setup (-> type=auto, layout=)
>>>
>>> The server-side script ,,x2gosetkeyboard'' is only used for 3).
>>>
>>> The keyboard setup for 2) is managed from the client side by issuing setxkbmap commands via the open SSH channel.
>>
>> I've grepped x2goclient-4.0.1.0 sources and found only setxkbmap call on client side (via "QProcess::startDetached").
> 
> Yes, that's where the settings get set...

I think we have a bit of misunderstanding here, as you previously wrote that:
"2) is managed from the client side by issuing setxkbmap commands via the open SSH channel".

That is, it is managed from the client side, but set on server via SSH.

And I couldn't find any code in x2goclient (4.0.1.0) for doing this.

That's why I thought it is done via x2gosetkeyboard and in fact it does work like this with small script change
(not creating blocking directory when layout != "auto").

>> There is also remote xmodmap call on Maemo, but it only remaps two keys.
>>
>>> On x2gostartagent, everything (after testing with PyHoca-GUI and X2Go Client) works as expected.
>>
>> Unfortunately not for me (that's why I looked into this issue).
> 
> In order to get the new cloned bug (the one that deals with keyboard layout while starting X2Go sessions) fixed, please send to me (privately):
> 
>   your ~/.x2goclient/sessions file (grey-out sensitive information)
>   your ~/.x2go/C-<sessionid>/options file (on server-side)
>   your ~/.x2go/C-<sessionid>/session.log
> 
> Thanks,
> Mike

Thanks and best regards,
Maciej Szmigiero